net.i2p.client

## Class BWLimitsMessageHandler

- java.lang.Object
- - net.i2p.client.HandlerImpl
  - - net.i2p.client.BWLimitsMessageHandler

All Implemented Interfaces:
  I2CPMessageHandler

     class BWLimitsMessageHandler
    extends HandlerImpl

Handle I2CP BW replies from the router

### Field Summary

### Fields inherited from class net.i2p.client.HandlerImpl

`_context, _log`

### Constructor Summary

Constructors
Constructor and Description
`BWLimitsMessageHandler(I2PAppContext ctx)`

### Method Summary

Methods
`void` `handleMessage(I2CPMessage message, I2PSessionImpl session)`

### Methods inherited from class net.i2p.client.HandlerImpl

`getType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BWLimitsMessageHandler

    public BWLimitsMessageHandler(I2PAppContext ctx)

### Method Detail

#### handleMessage

    public void handleMessage(I2CPMessage message,
                     I2PSessionImpl session)